VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::Ipv6Stub Class Reference

Remote stub implementation of the Ipv6 API service. More...

Inherits vmware::appliance::techpreview::networking::Ipv6.

List of all members.

## Public Member Functions
| Ipv6Stub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Set (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6Config > config)
| Set IPv6 network configuration.
void | Set (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6Config > config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set IPv6 network configuration.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6Config > config)
| Set IPv6 network configuration.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6Config > config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set IPv6 network configuration.
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly > | List ()
| Get IPv6 network configuration for all configured interfaces.
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get IPv6 network configuration for all configured interfaces.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly > > | ListAsync ()
| Get IPv6 network configuration for all configured interfaces.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get IPv6 network configuration for all configured interfaces.
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly > | Get (global::System.Collections.Generic.List< string > interfaces)
| Get IPv6 network configuration for interfaces.
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly > | Get (global::System.Collections.Generic.List< string > interfaces, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get IPv6 network configuration for interfaces.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly > > | GetAsync (global::System.Collections.Generic.List< string > interfaces)
| Get IPv6 network configuration for interfaces.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly > > | GetAsync (global::System.Collections.Generic.List< string > interfaces, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get IPv6 network configuration for interfaces.

## Detailed Description

Remote stub implementation of the Ipv6 API service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::Ipv6Stub::Ipv6Stub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly> vmware::appliance::techpreview::networking::Ipv6Stub::Get | ( | global::System.Collections.Generic.List< string > | interfaces | ) | `[inline]`

Get IPv6 network configuration for interfaces.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  interfaces | Network interfaces to query, for example, "nic0".

Returns:
  IPv6 configuration.

Implements vmware::appliance::techpreview::networking::Ipv6.

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly> vmware::appliance::techpreview::networking::Ipv6Stub::Get | ( | global::System.Collections.Generic.List< string > | interfaces,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get IPv6 network configuration for interfaces.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  interfaces | Network interfaces to query, for example, "nic0".
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  IPv6 configuration.

Implements vmware::appliance::techpreview::networking::Ipv6.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly> > vmware::appliance::techpreview::networking::Ipv6Stub::GetAsync | ( | global::System.Collections.Generic.List< string > | interfaces | ) | `[inline]`

Get IPv6 network configuration for interfaces.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  interfaces | Network interfaces to query, for example, "nic0".

Returns:
  IPv6 configuration.

Implements vmware::appliance::techpreview::networking::Ipv6.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly> > vmware::appliance::techpreview::networking::Ipv6Stub::GetAsync | ( | global::System.Collections.Generic.List< string > | interfaces,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get IPv6 network configuration for interfaces.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  interfaces | Network interfaces to query, for example, "nic0".
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  IPv6 configuration.

Implements vmware::appliance::techpreview::networking::Ipv6.

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly> vmware::appliance::techpreview::networking::Ipv6Stub::List | ( |  | ) | `[inline]`

Get IPv6 network configuration for all configured interfaces.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  IPv6 configuration for each interface.

Implements vmware::appliance::techpreview::networking::Ipv6.

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly> vmware::appliance::techpreview::networking::Ipv6Stub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get IPv6 network configuration for all configured interfaces.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  IPv6 configuration for each interface.

Implements vmware::appliance::techpreview::networking::Ipv6.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly> > vmware::appliance::techpreview::networking::Ipv6Stub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get IPv6 network configuration for all configured interfaces.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  IPv6 configuration for each interface.

Implements vmware::appliance::techpreview::networking::Ipv6.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.Ipv6Types.IPv6ConfigReadOnly> > vmware::appliance::techpreview::networking::Ipv6Stub::ListAsync | ( |  | ) | `[inline]`

Get IPv6 network configuration for all configured interfaces.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  IPv6 configuration for each interface.

Implements vmware::appliance::techpreview::networking::Ipv6.

void vmware::appliance::techpreview::networking::Ipv6Stub::Set | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6Config > | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set IPv6 network configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | IPv6 configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::Ipv6.

void vmware::appliance::techpreview::networking::Ipv6Stub::Set | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6Config > | config | ) | `[inline]`

Set IPv6 network configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | IPv6 configuration.

Implements vmware::appliance::techpreview::networking::Ipv6.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::Ipv6Stub::SetAsync | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6Config > | config | ) | `[inline]`

Set IPv6 network configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | IPv6 configuration.

Implements vmware::appliance::techpreview::networking::Ipv6.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::Ipv6Stub::SetAsync | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6Config > | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set IPv6 network configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | IPv6 configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::Ipv6.

The documentation for this class was generated from the following file:

- Ipv6Stub.cs